<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/src/spi.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">spi.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d00/spi_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#include &quot;<a class="code" href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a>&quot;</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">   39</a></span>uint32_t <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi,</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                  uint32_t u32MasterSlave,</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                  uint32_t u32SPIMode,</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                  uint32_t u32DataWidth,</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                  uint32_t u32BusClock)</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>{</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    uint32_t u32Pclk, u32Div;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="keywordflow">if</span>(u32DataWidth == 32)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        u32DataWidth = 0;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2cda79726f476ea64e73478bc0af6a77">CNTRL</a> = u32MasterSlave | (u32DataWidth &lt;&lt; <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a96402e8d0fddf85a67a326268bbc79a9">SPI_CNTRL_TX_BIT_LEN_Pos</a>) | (u32SPIMode);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    u32Pclk = <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    u32Div = 0xffff;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga79443ba1b07520f8ec9024696858a190">SSR</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a4b200e243f9edf7518e9365921946bbb">SPI_SSR_SS_LTRIG_Msk</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="keywordflow">if</span>(u32BusClock !=0 )</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        u32Div = (((u32Pclk / u32BusClock) + 1) &gt;&gt; 1) - 1;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">if</span>(u32Div &gt; 0xFFFF)</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            u32Div = 0xFFFF;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga94a2d308eeea05b9ed0de03a6f15d80f">DIVIDER</a> = (spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga94a2d308eeea05b9ed0de03a6f15d80f">DIVIDER</a> &amp; ~0xffff) | u32Div;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga94a2d308eeea05b9ed0de03a6f15d80f">DIVIDER</a> = 0;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="keywordflow">return</span> ( u32Pclk / ((u32Div+1)*2) );</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>}</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">   75</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>{</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <span class="comment">/* Reset SPI */</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRSTC2 |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#ab018e02b4a6a61954ef2d7f4fa5cce9f">SYS_IPRSTC2_SPI_RST_Msk</a>;</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    <a class="code hl_define" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a>-&gt;IPRSTC2 &amp;= ~SYS_IPRSTC2_SPI_RST_Msk;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>}</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">   87</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>{</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#adb729a62c1f98e92b9bfa60548a3850b">SPI_FIFO_CTL_RX_CLR_Msk</a>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>}</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">   97</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>{</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a83818f54fb60454b7e0e5f55760d60b8">SPI_FIFO_CTL_TX_CLR_Msk</a>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>}</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">  107</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>{</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga79443ba1b07520f8ec9024696858a190">SSR</a> &amp;= ~SPI_SSR_AUTOSS_Msk;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>}</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">  119</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>{</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga79443ba1b07520f8ec9024696858a190">SSR</a> = (spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga79443ba1b07520f8ec9024696858a190">SSR</a> &amp; ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a> | <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a>)) | (u32SSPinMask | u32ActiveLevel) | <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>}</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">  130</a></span>uint32_t <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32BusClock)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>{</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    uint32_t u32ClkSrc = <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>();</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    uint32_t u32Div;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span> </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    <span class="keywordflow">if</span>(u32BusClock &gt; u32ClkSrc)</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        u32BusClock = u32ClkSrc;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    <span class="keywordflow">if</span>(u32BusClock != 0 )</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        u32Div = (((u32ClkSrc / u32BusClock) + 1) &gt;&gt; 1) - 1;</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">if</span>(u32Div &gt; <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#aa602087548468b4afe650f1378386566">SPI_DIVIDER_DIVIDER_Msk</a>)</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            u32Div = <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#aa602087548468b4afe650f1378386566">SPI_DIVIDER_DIVIDER_Msk</a>;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span> </div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga94a2d308eeea05b9ed0de03a6f15d80f">DIVIDER</a> = (spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga94a2d308eeea05b9ed0de03a6f15d80f">DIVIDER</a> &amp; ~SPI_DIVIDER_DIVIDER_Msk) | u32Div;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    <span class="keywordflow">return</span> ( u32ClkSrc / ((u32Div+1)*2) );</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>}</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">  158</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>{</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> = ((spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> &amp; ~(<a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a3b3b202b024cbb4535b5cf7ac8bc4b20">SPI_FIFO_CTL_TX_THRESHOLD_Msk</a> | <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#af2cc91767ac220d354b9a2296711ea2b">SPI_FIFO_CTL_RX_THRESHOLD_Msk</a>)) |</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                     (u32TxThreshold &lt;&lt; <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a4aabc6a4daed6600da5c3ff5667bf735">SPI_FIFO_CTL_TX_THRESHOLD_Pos</a>) |</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>                     (u32RxThreshold &lt;&lt; <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a1f4db785b49c5cd65a9a81b28b0b7e1a">SPI_FIFO_CTL_RX_THRESHOLD_Pos</a>));</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2cda79726f476ea64e73478bc0af6a77">CNTRL</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a2cb275902173d02f3fda8ea36bf368e1">SPI_CNTRL_FIFO_Msk</a>;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>}</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">  172</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>{</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2cda79726f476ea64e73478bc0af6a77">CNTRL</a> &amp;= ~SPI_CNTRL_FIFO_Msk;</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>}</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">  182</a></span>uint32_t <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi)</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>{</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    uint32_t u32Div;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    uint32_t u32ApbClock;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    u32ApbClock = <a class="code hl_function" href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a>();</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    u32Div = spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga94a2d308eeea05b9ed0de03a6f15d80f">DIVIDER</a> &amp; 0xff;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    <span class="keywordflow">return</span> ((u32ApbClock &gt;&gt; 1) / (u32Div + 1));</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>}</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">  202</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>{</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>)</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2cda79726f476ea64e73478bc0af6a77">CNTRL</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a82b13181e68a08664c51d1357717b722">SPI_CNTRL_IE_Msk</a>;</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span> </div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>)</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga3d8cf81791eda50742fa64472ec47329">CNTRL2</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a9592e98d2234889e0f30680ea36de29b">SPI_CNTRL2_SSTA_INTEN_Msk</a>;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>)</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a65bf7d97f1db3796f92bea8762cfe4f2">SPI_FIFO_CTL_TX_INTEN_Msk</a>;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>)</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#ad4ab215f147a888c5d89d88afa892f70">SPI_FIFO_CTL_RX_INTEN_Msk</a>;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span> </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac97b9d3efa7af585549c908ec95fbf03">SPI_FIFO_RXOV_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac97b9d3efa7af585549c908ec95fbf03">SPI_FIFO_RXOV_INTEN_MASK</a>)</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#a435035f7b008ab2d7c3c62bb5841310d">SPI_FIFO_CTL_RXOV_INTEN_Msk</a>;</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>)</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> |= <a class="code hl_define" href="../../de/d94/_mini51_series_8h.html#ac23dbe0e9728b5711480387882a68c27">SPI_FIFO_CTL_TIMEOUT_INTEN_Msk</a>;</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>}</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno"><a class="line" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">  233</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a>(<a class="code hl_struct" href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>{</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>)</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2cda79726f476ea64e73478bc0af6a77">CNTRL</a> &amp;= ~SPI_CNTRL_IE_Msk;</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span> </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>)</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga3d8cf81791eda50742fa64472ec47329">CNTRL2</a> &amp;= ~SPI_CNTRL2_SSTA_INTEN_Msk;</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span> </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>)</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> &amp;= ~SPI_FIFO_CTL_TX_INTEN_Msk;</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>)</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> &amp;= ~SPI_FIFO_CTL_RX_INTEN_Msk;</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac97b9d3efa7af585549c908ec95fbf03">SPI_FIFO_RXOV_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac97b9d3efa7af585549c908ec95fbf03">SPI_FIFO_RXOV_INTEN_MASK</a>)</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> &amp;= ~SPI_FIFO_CTL_RXOV_INTEN_Msk;</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span> </div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>    <span class="keywordflow">if</span>((u32Mask &amp; <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>) == <a class="code hl_define" href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>)</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>        spi-&gt;<a class="code hl_variable" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">FIFO_CTL</a> &amp;= ~SPI_FIFO_CTL_TIMEOUT_INTEN_Msk;</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>}</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span> <span class="comment">/* end of group MINI51_SPI_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span> <span class="comment">/* end of group MINI51_SPI_Driver */</span></div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span> </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_mini51_series_8h_html"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html">Mini51Series.h</a></div><div class="ttdoc">Mini51 series peripheral access layer header file. This file contains all the peripheral register's d...</div></div>
<div class="ttc" id="a_mini51_series_8h_html_a1f4db785b49c5cd65a9a81b28b0b7e1a"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a1f4db785b49c5cd65a9a81b28b0b7e1a">SPI_FIFO_CTL_RX_THRESHOLD_Pos</a></div><div class="ttdeci">#define SPI_FIFO_CTL_RX_THRESHOLD_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04608">Mini51Series.h:4608</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a2cb275902173d02f3fda8ea36bf368e1"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a2cb275902173d02f3fda8ea36bf368e1">SPI_CNTRL_FIFO_Msk</a></div><div class="ttdeci">#define SPI_CNTRL_FIFO_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04534">Mini51Series.h:4534</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a3b3b202b024cbb4535b5cf7ac8bc4b20"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a3b3b202b024cbb4535b5cf7ac8bc4b20">SPI_FIFO_CTL_TX_THRESHOLD_Msk</a></div><div class="ttdeci">#define SPI_FIFO_CTL_TX_THRESHOLD_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04612">Mini51Series.h:4612</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a435035f7b008ab2d7c3c62bb5841310d"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a435035f7b008ab2d7c3c62bb5841310d">SPI_FIFO_CTL_RXOV_INTEN_Msk</a></div><div class="ttdeci">#define SPI_FIFO_CTL_RXOV_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04603">Mini51Series.h:4603</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a4aabc6a4daed6600da5c3ff5667bf735"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a4aabc6a4daed6600da5c3ff5667bf735">SPI_FIFO_CTL_TX_THRESHOLD_Pos</a></div><div class="ttdeci">#define SPI_FIFO_CTL_TX_THRESHOLD_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04611">Mini51Series.h:4611</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a4b200e243f9edf7518e9365921946bbb"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a4b200e243f9edf7518e9365921946bbb">SPI_SSR_SS_LTRIG_Msk</a></div><div class="ttdeci">#define SPI_SSR_SS_LTRIG_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04561">Mini51Series.h:4561</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a4d0ff5ea2d8b54bc0c0903edfa392906"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a></div><div class="ttdeci">#define SPI_SSR_SSR_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04552">Mini51Series.h:4552</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a65bf7d97f1db3796f92bea8762cfe4f2"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a65bf7d97f1db3796f92bea8762cfe4f2">SPI_FIFO_CTL_TX_INTEN_Msk</a></div><div class="ttdeci">#define SPI_FIFO_CTL_TX_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04600">Mini51Series.h:4600</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a74835feceed72dcec4ce2d552625a7e3"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a74835feceed72dcec4ce2d552625a7e3">SPI_SSR_AUTOSS_Msk</a></div><div class="ttdeci">#define SPI_SSR_AUTOSS_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04558">Mini51Series.h:4558</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a82b13181e68a08664c51d1357717b722"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a82b13181e68a08664c51d1357717b722">SPI_CNTRL_IE_Msk</a></div><div class="ttdeci">#define SPI_CNTRL_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04525">Mini51Series.h:4525</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a83818f54fb60454b7e0e5f55760d60b8"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a83818f54fb60454b7e0e5f55760d60b8">SPI_FIFO_CTL_TX_CLR_Msk</a></div><div class="ttdeci">#define SPI_FIFO_CTL_TX_CLR_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04594">Mini51Series.h:4594</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a9592e98d2234889e0f30680ea36de29b"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a9592e98d2234889e0f30680ea36de29b">SPI_CNTRL2_SSTA_INTEN_Msk</a></div><div class="ttdeci">#define SPI_CNTRL2_SSTA_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04579">Mini51Series.h:4579</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_a96402e8d0fddf85a67a326268bbc79a9"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#a96402e8d0fddf85a67a326268bbc79a9">SPI_CNTRL_TX_BIT_LEN_Pos</a></div><div class="ttdeci">#define SPI_CNTRL_TX_BIT_LEN_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04509">Mini51Series.h:4509</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_aa602087548468b4afe650f1378386566"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#aa602087548468b4afe650f1378386566">SPI_DIVIDER_DIVIDER_Msk</a></div><div class="ttdeci">#define SPI_DIVIDER_DIVIDER_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04549">Mini51Series.h:4549</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_ab018e02b4a6a61954ef2d7f4fa5cce9f"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#ab018e02b4a6a61954ef2d7f4fa5cce9f">SYS_IPRSTC2_SPI_RST_Msk</a></div><div class="ttdeci">#define SYS_IPRSTC2_SPI_RST_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l01581">Mini51Series.h:1581</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_ac23dbe0e9728b5711480387882a68c27"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#ac23dbe0e9728b5711480387882a68c27">SPI_FIFO_CTL_TIMEOUT_INTEN_Msk</a></div><div class="ttdeci">#define SPI_FIFO_CTL_TIMEOUT_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04606">Mini51Series.h:4606</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_ace3f423d206a3b88ee42f78cd4bb5b08"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a></div><div class="ttdeci">#define SPI_SSR_SS_LVL_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04555">Mini51Series.h:4555</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_ad4ab215f147a888c5d89d88afa892f70"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#ad4ab215f147a888c5d89d88afa892f70">SPI_FIFO_CTL_RX_INTEN_Msk</a></div><div class="ttdeci">#define SPI_FIFO_CTL_RX_INTEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04597">Mini51Series.h:4597</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_adb729a62c1f98e92b9bfa60548a3850b"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#adb729a62c1f98e92b9bfa60548a3850b">SPI_FIFO_CTL_RX_CLR_Msk</a></div><div class="ttdeci">#define SPI_FIFO_CTL_RX_CLR_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04591">Mini51Series.h:4591</a></div></div>
<div class="ttc" id="a_mini51_series_8h_html_af2cc91767ac220d354b9a2296711ea2b"><div class="ttname"><a href="../../de/d94/_mini51_series_8h.html#af2cc91767ac220d354b9a2296711ea2b">SPI_FIFO_CTL_RX_THRESHOLD_Msk</a></div><div class="ttdeci">#define SPI_FIFO_CTL_RX_THRESHOLD_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04609">Mini51Series.h:4609</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga27ded0f4435751be979927718884488f"><div class="ttname"><a href="../../d7/d73/group___m_i_n_i51___c_l_k___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27ded0f4435751be979927718884488f">CLK_GetHCLKFreq</a></div><div class="ttdeci">uint32_t CLK_GetHCLKFreq(void)</div><div class="ttdoc">This function get HCLK frequency. The frequency unit is Hz.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da0/clk_8c_source.html#l00114">clk.c:114</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n_html_gae3d9f52a1a315303ad04f0576bd42a25"><div class="ttname"><a href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html#gae3d9f52a1a315303ad04f0576bd42a25">SYS</a></div><div class="ttdeci">#define SYS</div><div class="ttdoc">Pointer to SYS register structure.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l05735">Mini51Series.h:5735</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga40af81a5621db7a8b7883fff421a65b7"><div class="ttname"><a href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a></div><div class="ttdeci">#define SPI_FIFO_TIMEOUT_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00050">spi.h:50</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga529ec79afe2917ac1973fde46dfedc54"><div class="ttname"><a href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a></div><div class="ttdeci">#define SPI_FIFO_RX_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00048">spi.h:48</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_ga7fec9626224f4bf31a1d318f2fea412c"><div class="ttname"><a href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a></div><div class="ttdeci">#define SPI_SSTA_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00046">spi.h:46</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gaaa0d3769c378f99dc6e3e278b783f449"><div class="ttname"><a href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a></div><div class="ttdeci">#define SPI_FIFO_TX_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00047">spi.h:47</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gac97b9d3efa7af585549c908ec95fbf03"><div class="ttname"><a href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac97b9d3efa7af585549c908ec95fbf03">SPI_FIFO_RXOV_INTEN_MASK</a></div><div class="ttdeci">#define SPI_FIFO_RXOV_INTEN_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00049">spi.h:49</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s_html_gafcdee9562fdac3dc6db5dbd67f53b4fa"><div class="ttname"><a href="../../d2/de0/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a></div><div class="ttdeci">#define SPI_IE_MASK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d87/spi_8h_source.html#l00045">spi.h:45</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0450c2c279d9f5254f172d3a6fd7f47b"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a></div><div class="ttdeci">void SPI_DisableInt(SPI_T *spi, uint32_t u32Mask)</div><div class="ttdoc">Disable FIFO related interrupts specified by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00233">spi.c:233</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga38d6219787921363efa7dcd46fdb6846"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a></div><div class="ttdeci">void SPI_DisableFIFO(SPI_T *spi)</div><div class="ttdoc">Disable FIFO mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00172">spi.c:172</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d27a219e6d7e2c767775a2ed26fbc4b"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a></div><div class="ttdeci">void SPI_EnableInt(SPI_T *spi, uint32_t u32Mask)</div><div class="ttdoc">Enable FIFO related interrupts specified by u32Mask parameter.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00202">spi.c:202</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga55b31f9a751c6e784ad0022bc9155153"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a></div><div class="ttdeci">void SPI_EnableAutoSS(SPI_T *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</div><div class="ttdoc">Enable the automatic slave select function. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00119">spi.c:119</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58733a1f2730db4943ee270c5aad39ba"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a></div><div class="ttdeci">void SPI_EnableFIFO(SPI_T *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</div><div class="ttdoc">Enable FIFO mode with user-specified Tx FIFO threshold and Rx FIFO threshold configurations.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00158">spi.c:158</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga58b7eef9f93f8c3d3818d1a4b74f5be6"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a></div><div class="ttdeci">void SPI_DisableAutoSS(SPI_T *spi)</div><div class="ttdoc">Disable the automatic slave select function.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00107">spi.c:107</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga7cee248bcbe05dfae8ab8b3bf89e8f13"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a></div><div class="ttdeci">uint32_t SPI_SetBusClock(SPI_T *spi, uint32_t u32BusClock)</div><div class="ttdoc">Set the SPI bus clock. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00130">spi.c:130</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga8074f716aa1c65ecc93d79062b5d4b1b"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a></div><div class="ttdeci">void SPI_Close(SPI_T *spi)</div><div class="ttdoc">Reset SPI module and disable SPI peripheral clock.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00075">spi.c:75</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad1c25325aceb6a6ed417055225aff01b"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a></div><div class="ttdeci">void SPI_ClearTxFIFO(SPI_T *spi)</div><div class="ttdoc">Clear Tx FIFO buffer.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00097">spi.c:97</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad923655d26fb14da88c61d4ed0125c44"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a></div><div class="ttdeci">uint32_t SPI_Open(SPI_T *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock)</div><div class="ttdoc">This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB firs...</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00039">spi.c:39</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae3a43e332cf4de4b416980eeab502d07"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a></div><div class="ttdeci">uint32_t SPI_GetBusClock(SPI_T *spi)</div><div class="ttdoc">Get the actual frequency of SPI bus clock. Only available in Master mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00182">spi.c:182</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae59c481764af06e5512f4416a91c5da2"><div class="ttname"><a href="../../d1/de3/group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a></div><div class="ttdeci">void SPI_ClearRxFIFO(SPI_T *spi)</div><div class="ttdoc">Clear Rx FIFO buffer.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d00/spi_8c_source.html#l00087">spi.c:87</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51__legacy___constants_html_ga2cda79726f476ea64e73478bc0af6a77"><div class="ttname"><a href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2cda79726f476ea64e73478bc0af6a77">SPI_T::CNTRL</a></div><div class="ttdeci">__IO uint32_t CNTRL</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04473">Mini51Series.h:4473</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51__legacy___constants_html_ga3d8cf81791eda50742fa64472ec47329"><div class="ttname"><a href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga3d8cf81791eda50742fa64472ec47329">SPI_T::CNTRL2</a></div><div class="ttdeci">__IO uint32_t CNTRL2</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04487">Mini51Series.h:4487</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51__legacy___constants_html_ga787691d1bc8968582b5e89b0f7e6e0f0"><div class="ttname"><a href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga787691d1bc8968582b5e89b0f7e6e0f0">SPI_T::FIFO_CTL</a></div><div class="ttdeci">__IO uint32_t FIFO_CTL</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04488">Mini51Series.h:4488</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51__legacy___constants_html_ga79443ba1b07520f8ec9024696858a190"><div class="ttname"><a href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga79443ba1b07520f8ec9024696858a190">SPI_T::SSR</a></div><div class="ttdeci">__IO uint32_t SSR</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04475">Mini51Series.h:4475</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51__legacy___constants_html_ga94a2d308eeea05b9ed0de03a6f15d80f"><div class="ttname"><a href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga94a2d308eeea05b9ed0de03a6f15d80f">SPI_T::DIVIDER</a></div><div class="ttdeci">__IO uint32_t DIVIDER</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04474">Mini51Series.h:4474</a></div></div>
<div class="ttc" id="astruct_s_p_i___t_html"><div class="ttname"><a href="../../d5/d95/struct_s_p_i___t.html">SPI_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d94/_mini51_series_8h_source.html#l04203">Mini51Series.h:4204</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
